/**
 * Implements ajax form.
 */

(function (Drupal) {

  /**
   * Implements cancel frontend editing behaviour.
   *
   * @type {{attach: Drupal.behaviors.cancelFrontendEditing.attach}}
   */
  Drupal.behaviors.cancelFrontendEditing = {
    attach: function (context, settings) {
      const cancelButton = context.querySelector('#edit-cancel');
      if (!cancelButton || cancelButton.length === 0) {
        return;
      }
      cancelButton.addEventListener('click', function (e) {
        e.preventDefault();
        // Close the side panel.
        Drupal.AjaxCommands.prototype.closeSidePanel({}, {}, 'success');
      });
    }
  }

  /**
   * Ajax command closeSidePanel.
   *
   * @param ajax
   * @param response
   * @param status
   */
  Drupal.AjaxCommands.prototype.closeSidePanel = function (ajax, response, status) {
    if (status === 'success') {
      if (!response.selector) {
        // Reload the page.
        window.parent.location.reload();
      }
      else {
        window.parent.postMessage(response, window.location.origin);
      }
      // Remove iframe while we wait for the reload.
      window.parent.document.getElementById('editing-container').remove();
    }
  }

})(Drupal);
