<?php

namespace Drupal\frontend_editing;

use Drupal\Core\DependencyInjection\ContainerBuilder;
use Drupal\Core\DependencyInjection\ServiceProviderBase;
use Symfony\Component\DependencyInjection\Reference;

/**
 * Service provider for frontend editing module.
 */
class FrontendEditingServiceProvider extends ServiceProviderBase {

  /**
   * {@inheritdoc}
   */
  public function register(ContainerBuilder $container) {
    if ($container->hasDefinition('twig_field_value.twig.extension')) {
      $container->register('frontend_editing.twig_field_value_decorator', 'Drupal\frontend_editing\Twig\Extension\FieldValueExtension')
        ->addArgument(new Reference('frontend_editing.twig_field_value_decorator.inner'))
        ->addArgument(new Reference('language_manager'))
        ->addArgument(new Reference('entity.repository'))
        ->addArgument(new Reference('controller_resolver'))
        ->addArgument(new Reference('logger.factory'))
        ->setPublic(FALSE)
        ->setDecoratedService('twig_field_value.twig.extension', NULL, 9);
    }
  }

}
